Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 602864 - ERROR with rpm_check_debug vs depsolve
ERROR with rpm_check_debug vs depsolve
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.4
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 17:45 EDT by bugzilla
Modified: 2014-01-21 01:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
# package-cleanup --problems Setting up yum Reading local RPM database Processing all local requires No problems found [root@uglato ~] # yum list installed cfg2html-linux Loaded plugins: rhnplugin, security client | 951 B 00:00 epel | 3.4 kB 00:00 rhel-x86_64-client-5 | 1.3 kB 00:00 Not using downloaded repomd.xml because it is older than what we have: Current : Fri Aug 27 09:23:20 42027 Downloaded: Tue Jun 8 11:53:25 2010 rhel-x86_64-client-supplementary-5 | 1.3 kB 00:00 Not using downloaded repomd.xml because it is older than what we have: Current : Sun Mar 30 13:46:40 39090 Downloaded: Thu Apr 29 19:49:42 2010 rhel-x86_64-client-vt-5 | 1.3 kB 00:00 Not using downloaded repomd.xml because it is older than what we have: Current : Fri Aug 27 10:13:20 42027 Downloaded: Mon Jun 7 12:04:13 2010 rhel-x86_64-client-workstation-5 | 1.3 kB 00:00 Not using downloaded repomd.xml because it is older than what we have: Current : Fri Aug 27 11:36:40 42027 Downloaded: Mon Jun 7 21:24:57 2010 rhn-tools-rhel-x86_64-client-5 | 1.1 kB 00:00 rpmforge | 1.1 kB 00:00 supplementary | 951 B 00:00 vt | 951 B 00:00 workstation | 951 B 00:00 Installed Packages cfg2html-linux.noarch 1.58-1 installed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-07 05:22:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bugzilla 2010-06-10 17:45:47 EDT
Description of problem:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
cfg2html-linux conflicts with cfg2html-1.78-1.el5.rf.noarch
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])


Version-Release number of selected component (if applicable):
# rpm -qa | grep yum
yum-metadata-parser-1.1.2-3.el5
yum-security-1.1.16-13.el5
yum-utils-1.1.16-13.el5
yum-3.2.22-26.el5
yum-rhn-plugin-0.5.4-15.el5


How reproducible:
100%: unable to upgrade cfg2html, always same error

Steps to Reproduce:
1. yum upgrade cfg2html-linux
  
Actual results:
# yum upgrade cfg2html-linux
Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Upgrade Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package cfg2html.noarch 0:1.78-1.el5.rf set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================
 Package               Arch                Version                      Repository             Size
====================================================================================================
Installing:
 cfg2html              noarch              1.78-1.el5.rf                rpmforge              108 k
     replacing  cfg2html-linux.noarch 1.58-1


Transaction Summary
====================================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total size: 108 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
cfg2html-linux conflicts with cfg2html-1.78-1.el5.rf.noarch
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])


Expected results:

Upgrade of cfg2html

Additional info:
Comment 1 James Antill 2010-06-10 18:05:34 EDT
 Run:

yum list installed cfg2html-linux

...and/or:

package-cleanup --problems

...and you'll probably find that you have two versions of some packages installed, which is bad. When you fix that problem yum and rpm will be agree and be happy.
Comment 2 bugzilla 2010-06-11 03:23:40 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
# package-cleanup --problems
Setting up yum
Reading local RPM database
Processing all local requires
No problems found

[root@uglato ~] # yum list installed cfg2html-linux
Loaded plugins: rhnplugin, security

client                                                                       |  951 B     00:00
epel                                                                         | 3.4 kB     00:00
rhel-x86_64-client-5                                                         | 1.3 kB     00:00
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Fri Aug 27 09:23:20 42027

  Downloaded: Tue Jun  8 11:53:25 2010
rhel-x86_64-client-supplementary-5                                           | 1.3 kB     00:00
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Sun Mar 30 13:46:40 39090

  Downloaded: Thu Apr 29 19:49:42 2010
rhel-x86_64-client-vt-5                                                      | 1.3 kB     00:00
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Fri Aug 27 10:13:20 42027

  Downloaded: Mon Jun  7 12:04:13 2010
rhel-x86_64-client-workstation-5                                             | 1.3 kB     00:00
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Fri Aug 27 11:36:40 42027

  Downloaded: Mon Jun  7 21:24:57 2010
rhn-tools-rhel-x86_64-client-5                                               | 1.1 kB     00:00
rpmforge                                                                     | 1.1 kB     00:00
supplementary                                                                |  951 B     00:00
vt                                                                           |  951 B     00:00
workstation                                                                  |  951 B     00:00
Installed Packages
cfg2html-linux.noarch                                1.58-1                                installed
Comment 3 James Antill 2010-06-11 10:11:45 EDT
So there's only one version of cfg2html-linux, and it is being obsoleted ... but rpm won't let it because it's conflicting with what obsoletes it?
Are there are available rpm updates you haven't installed?

As a workaround you could try running "yum remove cfg2html-linux" and then "yum install cfg2html". I'll assign to rpm, see what they think.
Comment 4 Ales Kozumplik 2011-11-11 09:01:40 EST
I am unable to reproduce this, have two next-to-empty rpm packages based on the following specs:

first.spec:
Name: first
Conflicts: second

second.spec:
Name: second
Conflicts: first
Obsoletes: first

This then passes OK:
# rpm -i /usr/src/redhat/RPMS/noarch/first-1.0-1.noarch.rpm
# rpm -U /usr/src/redhat/RPMS/noarch/second-1.0-1.noarch.rpm 

Reporter, can you still reproduce this issue on RHEL5 with rpm-4.4.2.3 or later?
Comment 5 Panu Matilainen 2013-03-07 05:22:26 EST
This request was evaluated by Red Hat Engineering for inclusion in a Red Hat Enterprise Linux maintenance release.

As this bug has been in NEEDINFO for an extended period of time we are going to close this bug due to inactivity. If you would like to pursue this matter feel free to reopen this bug and attach the needed information.

With the goal of minimizing risk of change for deployed systems, and in response to customer and partner requirements, Red Hat takes a conservative approach when evaluating enhancements for inclusion in maintenance updates for currently deployed products. The primary objectives of update releases are to enable new hardware platform support and to resolve critical defects.

However, Red Hat will further review this request for potential inclusion in future major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.